// Initialize the main tabs
$(document).ready(function() {
	var url_addr = document.location.toString();
	
	if (window.localStorage && window.localStorage['currentTab']) {
		if (url_addr.match('#')) {
			$('.nav-tabs a[href="#' + url_addr.split('#')[1] + '"]').click();
		} else {
			$('.mainMenuTabs a[href="'+window.localStorage['currentTab']+'"]').click();
		}
	} else {
		if (url_addr.match('#')) {
			$('.nav-tabs a[href="#' + url_addr.split('#')[1] + '"]').click();
		} else {
			$('.mainMenuTabs a:first').click();
		}
	}
	
	$('#langtabs a:first').click();
	$('#langtabs-cc a:first').click();
	$('#langtabs-seo a:first').click();
	
	$('.mainMenuTabs a[data-toggle="tab"]').click(function() {
		if (window.localStorage) {
			window.localStorage['currentTab'] = $(this).attr('href');
		}
	});
		
	// Change hash for page-reload
	$('.nav-tabs a').on('shown.bs.tab', function (e) {
		window.location.hash = e.target.hash;
		window.scrollTo(0, 0);
	})
}); 

// Load some of the main sub-tabs in the module
$(document).ready(function(e) {
    $.ajax({
        url: "index.php?route=" + modulePath + "/get_requests&" + token_string + "=" + token,
        type: 'get',
        dataType: 'html',
        success: function(data) { 
            $('.requests-view').html(data);
        }
    });
	
	$.ajax({
        url: "index.php?route=" + modulePath + "/get_acceptances&" + token_string + "=" + token,
        type: 'get',
        dataType: 'html',
        success: function(data) { 
            $('.acceptances-view').html(data);
        }
    });

    $.ajax({
        url: "index.php?route=" + modulePath + "/get_optins&" + token_string + "=" + token,
        type: 'get',
        dataType: 'html',
        success: function(data) { 
            $('.optins-view').html(data);
        }
    });
});

// Requests input button auto-send query
$(document).ready(function() {
    $('.requests_input').on('keydown', function(e) {
		if (e.keyCode == 13) {
            e.preventDefault();
            e.stopImmediatePropagation();
			$('.btn-requests-filter').trigger('click');
		}
	});
	
	$('.acceptances_input').on('keydown', function(e) {
		if (e.keyCode == 13) {
            e.preventDefault();
            e.stopImmediatePropagation();
			$('.btn-acceptances-filter').trigger('click');
		}
	});
	
	$('.optins_input').on('keydown', function(e) {
		if (e.keyCode == 13) {
            e.preventDefault();
            e.stopImmediatePropagation();
			$('.btn-optins-filter').trigger('click');
		}
	});
});

// Filter Requests
function filterRequests(selector, event) {
    event.preventDefault();
    event.stopImmediatePropagation();
    
    var filter_data = $(selector).parents('.requests-filter-data').find('input, select, textarea').serialize();

    $.ajax({
        url: "index.php?route=" + modulePath + "/get_requests&" + token_string + "=" + token,
        dataType: 'html',
        type: 'get',
        data: filter_data,
        success: function(data) {
           $('.requests-view').html(data);
        },
        beforeSend: function() {
           $('.requests-view').html('<p><h2 class="text-center">' + text_loading_data + '</h2></p><br /><div class="loader"></div>');
        }
    });
    
    return false;
}

// Pagination Requests
$('document').ready(function() {
   $('.requests-view').delegate('.pagination a', 'click', (function(e){
        e.preventDefault();
        $.ajax({
            url: this.href,
            type: 'get',
            dataType: 'html',
            beforeSend: function() {
                $('.requests-view').html('<p><h2 class="text-center">' + text_loading_data + '</h2></p><br /><div class="loader"></div>');
            },
            success: function(data) {				
                $('.requests-view').html(data);
            }
        });
    })); 
});

// Filter Acceptances
function filterAcceptances(selector, event) {
    event.preventDefault();
    event.stopImmediatePropagation();
    
    var filter_data = $(selector).parents('.acceptances-filter-data').find('input, select, textarea').serialize();

    $.ajax({
        url: "index.php?route=" + modulePath + "/get_acceptances&" + token_string + "=" + token,
        dataType: 'html',
        type: 'get',
        data: filter_data,
        success: function(data) {
           $('.acceptances-view').html(data);
        },
        beforeSend: function() {
           $('.acceptances-view').html('<p><h2 class="text-center">' + text_loading_data + '</h2></p><br /><div class="loader"></div>');
        }
    });
    
    return false;
}


// Pagination Acceptances
$('document').ready(function() {
   $('.acceptances-view').delegate('.pagination a', 'click', (function(e){
        e.preventDefault();
        $.ajax({
            url: this.href,
            type: 'get',
            dataType: 'html',
            beforeSend: function() {
                $('.acceptances-view').html('<p><h2 class="text-center">' + text_loading_data + '</h2></p><br /><div class="loader"></div>');
            },
            success: function(data) {				
                $('.acceptances-view').html(data);
            }
        });
    })); 
});

// Filter Opt-ins
function filterOptins(selector, event) {
    event.preventDefault();
    event.stopImmediatePropagation();
    
    var filter_data = $(selector).parents('.optins-filter-data').find('input, select, textarea').serialize();

    $.ajax({
        url: "index.php?route=" + modulePath + "/get_optins&" + token_string + "=" + token,
        dataType: 'html',
        type: 'get',
        data: filter_data,
        success: function(data) {
           $('.optins-view').html(data);
        },
        beforeSend: function() {
           $('.optins-view').html('<p><h2 class="text-center">' + text_loading_data + '</h2></p><br /><div class="loader"></div>');
        }
    });
    
    return false;
}

// Pagination Opt-ins 
$('.optins-view').delegate('.pagination a', 'click', (function(e){
	e.preventDefault();
	$.ajax({
		url: this.href,
		type: 'get',
		dataType: 'html',
		beforeSend: function() {
			$('.optins-view').html('<p><h2 class="text-center">' + text_loading_data + '</h2></p><br /><div class="loader"></div>');
		},
		success: function(data) {               
			$('.optins-view').html(data);
		}
	});
}));